package com.goafanti.business.controller;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.goafanti.business.service.JtBusinessService;
import com.goafanti.common.bo.Result;
import com.goafanti.common.controller.CertifyApiController;

@RestController
@RequestMapping(value = "/portal/service")
public class JtBusinessController extends CertifyApiController {
	@Resource 
	private JtBusinessService jtBusinessService;
	
	@RequestMapping(value = "/jtBusiness/getCategoryList" , method = RequestMethod.GET)
	public Result getCategoryList() {
		Result result=new Result();
result.setData(jtBusinessService.getCategoryBoList());
		return result;
	}
	
	
	@RequestMapping(value="/jtProject/list", method=RequestMethod.GET)
	public Result getProjectList(String topId,String secondId,String name,Integer pageSize,Integer pageNo) {
		Result result=new Result();
		result.setData(jtBusinessService.getProjects(topId,secondId,name,pageSize,pageNo));
		return result;
	}
	
}
